CreatorOptimizer (Jackson module: Blackbird 2.13.0 API)
Date: 2021-09-30

com.fasterxml.jackson.module.blackbird.deser

## Class CreatorOptimizer

- java.lang.Object
- - com.fasterxml.jackson.module.blackbird.deser.CreatorOptimizer

-     public class CreatorOptimizer
      extends Object

  Helper class that tries to generate `ValueInstantiator` class that calls constructors and/or factory methods directly, instead of using Reflection.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.deser.std.StdValueInstantiator` | `_originalInstantiator`
    `protected Class<?>` | `_valueClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreatorOptimizer(Class<?> valueClass, MethodHandles.Lookup lookup, com.fasterxml.jackson.databind.deser.std.StdValueInstantiator orig)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.databind.deser.ValueInstantiator` | `createOptimized()`
    `static Object` | `invokeTrampoline(MethodHandle delegate, Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _valueClass

          protected final Class<?> _valueClass

    - #### _originalInstantiator

          protected final com.fasterxml.jackson.databind.deser.std.StdValueInstantiator _originalInstantiator

  - ### Constructor Detail

    - #### CreatorOptimizer

          public CreatorOptimizer(Class<?> valueClass,
                                  MethodHandles.Lookup lookup,
                                  com.fasterxml.jackson.databind.deser.std.StdValueInstantiator orig)

  - ### Method Detail

    - #### createOptimized

          public com.fasterxml.jackson.databind.deser.ValueInstantiator createOptimized()

    - #### invokeTrampoline

          public static Object invokeTrampoline(MethodHandle delegate,
                                                Object[] args)
                                         throws Throwable

      Throws:
        `Throwable`

Copyright © 2021 FasterXML. All rights reserved.